Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.pp.para
Class GFmtOpt

    java.lang.Object
      gudusoft.gsqlparser.pp.para.GFmtOpt

    public class GFmtOpt

extends java.lang.Object

the format options

Author:
  zhoujun

Field Summary
`boolean` | `alignAliasInSelectList`
`boolean` | `alignJoinWithFromKeyword` align 'join' keyword with 'from' keyword
`boolean` | `andOrUnderWhere` in the where clause, the 'and' and 'or' keyword should under the 'where' keyword
`java.lang.Integer` | `beStyleBlockIndentSize`
`java.lang.Integer` | `beStyleBlockLeftBEIndentSize`
`java.lang.Boolean` | `beStyleBlockLeftBEOnNewline`
`java.lang.Integer` | `beStyleBlockRightBEIndentSize`
`boolean` | `beStyleCreatetableLeftBEOnNewline`
`boolean` | `beStyleCreatetableRightBEOnNewline`
`java.lang.Integer` | `beStyleFunctionBodyIndent`
`java.lang.Boolean` | `beStyleFunctionFirstParamInNewline`
`java.lang.Integer` | `beStyleFunctionLeftBEIndentSize`
`java.lang.Boolean` | `beStyleFunctionLeftBEOnNewline`
`java.lang.Integer` | `beStyleFunctionRightBEIndentSize`
`java.lang.Boolean` | `beStyleFunctionRightBEOnNewline`
`java.lang.Integer` | `beStyleIfElseSingleStmtIndentSize`
`TCaseOption` | `caseDatatype`
`TCaseOption` | `caseFuncname`
`TCaseOption` | `caseIdentifier`
`TCaseOption` | `caseKeywords`
`TCaseOption` | `caseQuotedIdentifier`
`java.lang.Boolean` | `caseWhenThenInSameLine`
`TCompactMode` | `compactMode`
`TAlignOption` | `createtableFieldlistAlignOption`
`boolean` | `createtableListitemInNewLine`
`java.lang.Boolean` | `cteNewlineBeforeAs`
`TAlignStyle` | `defaultAligntype`
`TLinefeedsCommaOption` | `defaultCommaOption`
`TEmptyLinesOption` | `emptyLines`
`boolean` | `fromClauseInNewLine` each column in the table names in the form clause should start with a new line.
`TLinefeedsCommaOption` | `functionCallParametersComma`
`TAlignStyle` | `functionCallParametersStyle`
`java.lang.Integer` | `indentCaseFromSwitch`
`java.lang.Integer` | `indentCaseThen`
`java.lang.Integer` | `indentLen`
`java.lang.Boolean` | `insertBlankLineInBatchSqls`
`TAlignStyle` | `insertColumnlistStyle` the align style for the insert coloumn
`TAlignStyle` | `insertValuelistStyle` the value style in insert statement
`java.lang.Boolean` | `linebreakAfterDeclare` declare statement
`java.lang.Boolean` | `linebreakBeforeParamInExec` used for execute statement
`java.lang.Boolean` | `linenumberEnabled`
`java.lang.Integer` | `linenumberLeftMargin`
`java.lang.Integer` | `linenumberRightMargin`
`java.lang.Boolean` | `linenumberZeroBased`
`java.lang.Integer` | `lineWidth`
`java.lang.Boolean` | `noEmptyLinesBetweenMultiSetStmts`
`boolean` | `opearateSourceToken` if it is true, the helper class will operate the source tokens.
`GOutputFmt` | `outputFmt` used for sql output format.
`TLinefeedsCommaOption` | `parametersComma`
`TAlignStyle` | `parametersStyle`
`java.lang.Boolean` | `removeComment`
`TLinefeedsCommaOption` | `selectColumnlistComma` the comma style in select statement
`TAlignStyle` | `selectColumnlistStyle` the align style for the select coloumn
`TLinefeedsCommaOption` | `selectFromclauseComma` the comma style in the from clause
`boolean` | `selectFromclauseJoinOnInNewline` the join clause should start with a new line.
`TAlignStyle` | `selectFromclauseStyle` the table name style in the from clause
`boolean` | `selectItemInNewLine` each column in the select statement should append a new line.
`TAlignOption` | `selectKeywordsAlignOption`
`java.lang.String` | `sessionId` the session id.
`java.lang.String` | `tabHtmlString`
`java.lang.Integer` | `tabSize`
`boolean` | `treatDistinctAsVirtualColumn`
`java.lang.Boolean` | `useTab`
`java.lang.Boolean` | `wsPaddingOperatorArithmetic`
`java.lang.Boolean` | `wsPaddingParenthesesInExpression`
`java.lang.Boolean` | `wsPaddingParenthesesInFunction`
`java.lang.Boolean` | `wsPaddingParenthesesInFunctionCall`
`java.lang.Boolean` | `wsPaddingParenthesesOfSubQuery`
`java.lang.Boolean` | `wsPaddingParenthesesOfTypename`

Constructor Summary
`GFmtOpt(java.lang.String sessionId)`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sessionId

    public final java.lang.String sessionId

  the session id. each thread can own only one id.

### opearateSourceToken

    public boolean opearateSourceToken

  if it is true, the helper class will operate the source tokens. if not, the helper class will ignore the opearation request

### selectColumnlistStyle

    public TAlignStyle selectColumnlistStyle

  the align style for the select coloumn

### selectColumnlistComma

    public TLinefeedsCommaOption selectColumnlistComma

  the comma style in select statement

### selectItemInNewLine

    public boolean selectItemInNewLine

  each column in the select statement should append a new line.

### alignAliasInSelectList

    public boolean alignAliasInSelectList

### treatDistinctAsVirtualColumn

    public boolean treatDistinctAsVirtualColumn

### selectFromclauseStyle

    public TAlignStyle selectFromclauseStyle

  the table name style in the from clause

### selectFromclauseComma

    public TLinefeedsCommaOption selectFromclauseComma

  the comma style in the from clause

### fromClauseInNewLine

    public boolean fromClauseInNewLine

  each column in the table names in the form clause should start with a new line.

### selectFromclauseJoinOnInNewline

    public boolean selectFromclauseJoinOnInNewline

  the join clause should start with a new line.

### alignJoinWithFromKeyword

    public boolean alignJoinWithFromKeyword

  align 'join' keyword with 'from' keyword

### andOrUnderWhere

    public boolean andOrUnderWhere

  in the where clause, the 'and' and 'or' keyword should under the 'where' keyword

### insertColumnlistStyle

    public TAlignStyle insertColumnlistStyle

  the align style for the insert coloumn

### insertValuelistStyle

    public TAlignStyle insertValuelistStyle

  the value style in insert statement

### beStyleCreatetableLeftBEOnNewline

    public boolean beStyleCreatetableLeftBEOnNewline

### beStyleCreatetableRightBEOnNewline

    public boolean beStyleCreatetableRightBEOnNewline

### createtableListitemInNewLine

    public boolean createtableListitemInNewLine

### createtableFieldlistAlignOption

    public TAlignOption createtableFieldlistAlignOption

### defaultCommaOption

    public TLinefeedsCommaOption defaultCommaOption

### defaultAligntype

    public TAlignStyle defaultAligntype

### indentLen

    public java.lang.Integer indentLen

### useTab

    public java.lang.Boolean useTab

### tabSize

    public java.lang.Integer tabSize

### beStyleFunctionBodyIndent

    public java.lang.Integer beStyleFunctionBodyIndent

### beStyleBlockLeftBEOnNewline

    public java.lang.Boolean beStyleBlockLeftBEOnNewline

### beStyleBlockLeftBEIndentSize

    public java.lang.Integer beStyleBlockLeftBEIndentSize

### beStyleBlockRightBEIndentSize

    public java.lang.Integer beStyleBlockRightBEIndentSize

### beStyleBlockIndentSize

    public java.lang.Integer beStyleBlockIndentSize

### beStyleIfElseSingleStmtIndentSize

    public java.lang.Integer beStyleIfElseSingleStmtIndentSize

### caseWhenThenInSameLine

    public java.lang.Boolean caseWhenThenInSameLine

### indentCaseFromSwitch

    public java.lang.Integer indentCaseFromSwitch

### indentCaseThen

    public java.lang.Integer indentCaseThen

### selectKeywordsAlignOption

    public TAlignOption selectKeywordsAlignOption

### caseKeywords

    public TCaseOption caseKeywords

### caseIdentifier

    public TCaseOption caseIdentifier

### caseQuotedIdentifier

    public TCaseOption caseQuotedIdentifier

### caseFuncname

    public TCaseOption caseFuncname

### caseDatatype

    public TCaseOption caseDatatype

### wsPaddingOperatorArithmetic

    public java.lang.Boolean wsPaddingOperatorArithmetic

### wsPaddingParenthesesInFunction

    public java.lang.Boolean wsPaddingParenthesesInFunction

### wsPaddingParenthesesInExpression

    public java.lang.Boolean wsPaddingParenthesesInExpression

### wsPaddingParenthesesOfSubQuery

    public java.lang.Boolean wsPaddingParenthesesOfSubQuery

### wsPaddingParenthesesInFunctionCall

    public java.lang.Boolean wsPaddingParenthesesInFunctionCall

### wsPaddingParenthesesOfTypename

    public java.lang.Boolean wsPaddingParenthesesOfTypename

### cteNewlineBeforeAs

    public java.lang.Boolean cteNewlineBeforeAs

### linebreakAfterDeclare

    public java.lang.Boolean linebreakAfterDeclare

  declare statement

### parametersStyle

    public TAlignStyle parametersStyle

### parametersComma

    public TLinefeedsCommaOption parametersComma

### beStyleFunctionLeftBEOnNewline

    public java.lang.Boolean beStyleFunctionLeftBEOnNewline

### beStyleFunctionLeftBEIndentSize

    public java.lang.Integer beStyleFunctionLeftBEIndentSize

### beStyleFunctionRightBEOnNewline

    public java.lang.Boolean beStyleFunctionRightBEOnNewline

### beStyleFunctionRightBEIndentSize

    public java.lang.Integer beStyleFunctionRightBEIndentSize

### beStyleFunctionFirstParamInNewline

    public java.lang.Boolean beStyleFunctionFirstParamInNewline

### linebreakBeforeParamInExec

    public java.lang.Boolean linebreakBeforeParamInExec

  used for execute statement

### emptyLines

    public TEmptyLinesOption emptyLines

### insertBlankLineInBatchSqls

    public java.lang.Boolean insertBlankLineInBatchSqls

### noEmptyLinesBetweenMultiSetStmts

    public java.lang.Boolean noEmptyLinesBetweenMultiSetStmts

### linenumberEnabled

    public java.lang.Boolean linenumberEnabled

### linenumberZeroBased

    public java.lang.Boolean linenumberZeroBased

### linenumberLeftMargin

    public java.lang.Integer linenumberLeftMargin

### linenumberRightMargin

    public java.lang.Integer linenumberRightMargin

### functionCallParametersStyle

    public TAlignStyle functionCallParametersStyle

### functionCallParametersComma

    public TLinefeedsCommaOption functionCallParametersComma

### removeComment

    public java.lang.Boolean removeComment

### compactMode

    public TCompactMode compactMode

### lineWidth

    public java.lang.Integer lineWidth

### outputFmt

    public GOutputFmt outputFmt

  used for sql output format.

  See Also:
    `GOutputFmt`

### tabHtmlString

    public java.lang.String tabHtmlString

Constructor Detail

### GFmtOpt

    public GFmtOpt(java.lang.String sessionId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD